MKFS.CPM(1)

NAME
mkfs.cpm - make a CP/M file system

SYNOPSIS
mkfs.cpm [-f format] [-b boot] [-L label] [-t] image

DESCRIPTION
mkfs.cpm makes a CP/M file system on an image file or device.

OPTIONS

-f format
    Use the given CP/M disk format instead of the default format.

-b bootblock
    Write the contents of the file bootblock to the system tracks instead of filling them with 0xe5. This option can be used up to four times. The file contents (typically boot block, CCP, BDOS and BIOS) are written to sequential sectors, padding with 0xe5 if needed.

-L label
    Label the file system. This is only supported by CP/M Plus.

-t  Create time stamps.

RETURN VALUE
Upon successful completion, exit code 0 is returned.

ERRORS
Any errors are indicated by exit code 1.

ENVIRONMENT
CPMTOOLSFMT Default format

FILES
${prefix}/share/diskdefs    CP/M disk format definitions

AUTHORS
This program is copyright 1997–2012 Michael Haardt <michael@moria.de>. The Windows port is copyright 2000, 2001, 2011 John Elliott <jce@seasip.demon.co.uk>.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

SEE ALSO
fsck.cpm(1), cpmls(1), mkfs(1), cpm(5)